## org.apache.catalina.users
Class MemoryUserDatabaseFactory

    java.lang.Object
      org.apache.catalina.users.MemoryUserDatabaseFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class MemoryUserDatabaseFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

JNDI object creation factory for `MemoryUserDatabase` instances. This makes it convenient to configure a user database in the global JNDI resources associated with this Catalina instance, and then link to that resource for web applications that administer the contents of the user database.

The `MemoryUserDatabase` instance is configured based on the following parameter values:

- pathname - Absolute or relative (to the directory path specified by the `catalina.base` system property) pathname to the XML file from which our user information is loaded, and to which it is stored. [conf/tomcat-users.xml]

Since:
  4.1
Version:
  $Revision: 1.5 $ $Date: 2004/08/26 21:42:05 $
Author:
  Craig R. McClanahan

Constructor Summary
`MemoryUserDatabaseFactory()`

Method Summary
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Create and return a new `MemoryUserDatabase` instance that has been configured according to the properties of the specified `Reference`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryUserDatabaseFactory

    public MemoryUserDatabaseFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Create and return a new `MemoryUserDatabase` instance that has been configured according to the properties of the specified `Reference`. If you instance can be created, return `null` instead.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The possibly null object containing location or reference information that can be used in creating an object
    `name` - The name of this object relative to `nameCtx`
    `nameCtx` - The context relative to which the `name` parameter is specified, or `null` if `name` is relative to the default initial context
    `environment` - The possibly null environment that is used in creating this object
  Throws:
    `java.lang.Exception`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.